Antom, leading provider of tailored payment solutions

createPayout

POST /v1/aba/funds/createPayout

Use this interface to withdraw money from a Antom business account to all accounts external to the Ant International Group (e.g. bank accounts, Alipay CN accounts).

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

transferRequestId String  REQUIRED

The unique ID assigned by the merchant to identify a transfer request.

More information:

  • This field is an API idempotency field.
  • Maximum length: 64 characters

transferFromDetail Object  REQUIRED

Transfer details submitted by the initiator.

Notes:

  • If the value of transferFromAmount is greater than 0, the transferToAmount must be set to 0. In this scenario, the fee will be deducted from transferFromAmount.
  • The eventual amount deducted from the Antom Business Account will be equal to the value of transferFromAmount. The eventual amount received by the beneficiary will be transferFromAmount less the deducted fee.
Show child parameters

transferToDetail Object  REQUIRED

Transfer details for the beneficiary.

Notes:

  • If the value of transferToAmount is greater than 0, the transferFromAmount must be set to ​0​. In this scenario, the fee will be added to the transferToAmount.
  • The eventual amount deducted from the Antom Business Account will be the value of transferToAmount plus the fee. The eventual amount received by the beneficiary will be equal to transferToAmount.
Show child parameters

transferOrderAddition Object  

More information about the deduction, including information about the payer and payee, etc.

Show child parameters

businessSceneCode String  REQUIRED

The business scene type of the payout.

Valid values are:

  • THIRD_PARTY_PAYOUT: Indicates a payout to a third-party bank account, which can be either a third-party company bank account or a third-party personal bank account.
  • SAME_NAME_PAYOUT: Indicates a payout to a same-name bank account.

Note:

  • Specify this parameter when the value of the transferToDetail.transferToAmount.currency is CNY
  • When the value of this parameter is THIRD_PARTY_PAYOUT,please contact our sales team.

Response parameters

result Object  REQUIRED

Indicates whether this API is called successfully. 

Show child parameters

transferRequestId String  

The unique ID assigned by a merchant to identify a transfer request.

Note: This field is returned only when the value of result.resultStatus is S.

More information:

  • This field is an API idempotency field.
  • Maximum length: 64 characters

transferId String  

The unique ID assigned by Antom to identify a transfer.

Note: This field is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 64 characters

transferFromDetail Object  

Transfer details submitted by the initiator.

Note: This field is returned only when the value of result.resultStatus is S.

Show child parameters

transferToDetail Object  

Transfer details for the beneficiary, including the transfer amount received.

Note: This field is returned only when the value of result.resultStatus is S.

Show child parameters
API Explorer

Request

URL
Method
POST
Case
Transfer to the same name user
Request Body

Response

Case
Response when transferring to the same name user
Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

The API is successfully called, not resembling the order status.

PROCESSINGSThe transfer is in process.

The payout is created successfully and being processed.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid. For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is ​POST​.

FEE_EXCEPTIONUAPI failed due to fee associated issues.

Check the parameters and call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

UN_SUPPORT_BUSINESSFUnsupported business.

Invalid parameters are used. Retry with the correct information.

USER_NO_PERMISSIONFUser does not have permission.

Retry with another user information.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

USER_ACCOUNT_ABNORMALFThe user account status is abnormal.

Retry with a different user. If the issue persists, contact Antom Technical Support for more details.

REPEAT_REQ_INCONSISTENTFRepeated requests are inconsistent.

Ensure all the fields in the requests are the same and try again.

USER_STATUS_ABNORMALFThe status of the user is abnormal.

Retry with another card. The status of the user is abnormal. Retry with another order.

BALANCE_NOT_ENOUGHFBalance is not enough.

Make sure the balance is sufficient and retry.

AMOUNT_EXCEED_LIMITFThe amount exceeds the limit.

Make sure the amount submitted is correct and retry.

CONTRACT_NOT_EXISTFContract does not exist.

Ensure the merchant has already signed a contract and the input is correct.

CONTRACT_CHECK_FAILFThe contract check has failed.

Check the contract status with Antom before retrying.

QUOTE_EXPIREDFThe quote is expired.

Call the consultPayout API to create a new quote. Retry to create a new settlement request with the new quote.

AVAILABLE_QUOTA_NOT_ENOUGHFPayout quota is not enough.

Call inquiryAvailableQuota API to check the currently available payout quota, make sure it is sufficient and then retry.

CARD_INFO_NOT_MATCHFThe card information does not match.

Retry with the correct card information.